Bug 151479 - Sieve filtering in Exim is lacking
Sieve filtering in Exim is lacking
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: exim (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-18 08:22 EST by Josh Boyer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-14 16:06:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Boyer 2005-03-18 08:22:15 EST
Description of problem:

When using exim with sieve filters, only the following subset of header tags can
be filtered on:

From
To
CC
Bcc
Sender
Resent-From
Resent-To

Version-Release number of selected component (if applicable):

exim-4.43-1.FC3.1

How reproducible:

Always

Steps to Reproduce:
1. Setup a sieve .forward file that has rules on Return-path
2. Configure exim to do filtering in the /etc/exim/exim.conf file
3. Wait for an email that should match one those rules
  
Actual results:

Default action of fileinto "inbox"; is taken

Expected results:

Rule is matched and filtered into appropriate folder

Additional info:

I know exim has it's own filtering language, but sieve filters are the only
portable solution for users.  One should be able to filter on Return-path,
X-Mailing-List, and X-Spam-Level at the very least.
Comment 1 Josh Boyer 2005-06-14 16:06:54 EDT
Ok, so no attention on this bug whatsoever.  That's fine, it's probably
something to take upstream anyway.  Closing this out.

Note You need to log in before you can comment on or make changes to this bug.